GNU bug report logs - #9859
subdir-objects, dirstamps and --disable-dependency-tracking

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: Ignacy Gawedzki <i@HIDDEN>; Keywords: confirmed; merged with #27188; dated Mon, 24 Oct 2011 17:50:01 UTC; Maintainer for automake is bug-automake@HIDDEN.
Added tag(s) confirmed. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 9859 27188. Request was from Mathieu Lirzin <mthl@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9859 <at> debbugs.gnu.org:


Received: (at 9859) by debbugs.gnu.org; 4 Dec 2015 16:28:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 04 11:28:42 2015
Received: from localhost ([127.0.0.1]:39193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a4tDt-0000yD-Lu
	for submit <at> debbugs.gnu.org; Fri, 04 Dec 2015 11:28:42 -0500
Received: from mx0a-000f0801.pphosted.com ([67.231.144.122]:11526)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <brownn@HIDDEN>) id 1a4r7J-00062r-Cf
 for 9859 <at> debbugs.gnu.org; Fri, 04 Dec 2015 09:13:46 -0500
Received: from pps.filterd (m0048193.ppops.net [127.0.0.1])
 by mx0a-000f0801.pphosted.com (8.15.0.59/8.15.0.59) with SMTP id
 tB4DxB3g006027
 for <9859 <at> debbugs.gnu.org>; Fri, 4 Dec 2015 06:13:44 -0800
Received: from hq1wp-exmb12.corp.brocade.com ([144.49.131.13])
 by mx0a-000f0801.pphosted.com with ESMTP id 1ykbbt0bkh-12
 (version=TLSv1/SSLv3 cipher=AES256-SHA bits=256 verify=NOT)
 for <9859 <at> debbugs.gnu.org>; Fri, 04 Dec 2015 06:13:43 -0800
Received: from hq1wp-excas13.corp.brocade.com (10.70.36.103) by
 HQ1WP-EXMB12.corp.brocade.com (10.70.20.186) with Microsoft SMTP Server (TLS)
 id 15.0.1104.5; Fri, 4 Dec 2015 06:09:38 -0800
Received: from BRA-28N4P12.vyatta.com (172.27.212.51) by
 hq1wp-excas13.corp.brocade.com (10.70.36.101) with Microsoft SMTP Server
 (TLS) id 15.0.1104.5 via Frontend Transport; Fri, 4 Dec 2015 06:09:38 -0800
Received: from brownn by BRA-28N4P12.vyatta.com with local (Exim 4.84)
 (envelope-from <brownn@HIDDEN>) id 1a4r3J-0007LV-22
 for 9859 <at> debbugs.gnu.org; Fri, 04 Dec 2015 14:09:37 +0000
From: Nicholas Brown <brownn@HIDDEN>
To: <9859 <at> debbugs.gnu.org>
Subject: [PATCH] yacc and lex built objects without dependancy tracking
Date: Fri, 4 Dec 2015 14:09:36 +0000
Message-ID: <1449238176-28201-1-git-send-email-brownn@HIDDEN>
X-Mailer: git-send-email 2.1.4
MIME-Version: 1.0
Content-Type: text/plain
X-Proofpoint-SPF-Result: neutral
X-Proofpoint-SPF-Record: v=spf1 include:spf-000f0801.pphosted.com
 include:salesforce.com
 include:Spf.protection.outlook.com include:mktomail.com include:bmsend.com
 ip4:208.74.204.0/22 ip4:46.19.168.0/23 mx ?all
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10432:5.15.21, 1.0.33,
 0.0.0000
 definitions=2015-12-04_06:2015-12-03,2015-12-04,1970-01-01 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 suspectscore=1 phishscore=0
 adultscore=0 bulkscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=7.0.1-1511060000 definitions=main-1512040234
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 9859
X-Mailman-Approved-At: Fri, 04 Dec 2015 11:28:39 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

---
 lib/am/lex.am  | 1 +
 lib/am/yacc.am | 1 +
 2 files changed, 2 insertions(+)

diff --git a/lib/am/lex.am b/lib/am/lex.am
index d7ddc77..6357507 100644
--- a/lib/am/lex.am
+++ b/lib/am/lex.am
@@ -23,6 +23,7 @@ endif %?MAINTAINER-MODE%
 
 ?GENERIC?%EXT%%DERIVED-EXT%:
 ?!GENERIC?%OBJ%: %SOURCE%
+?SUBDIROBJ?	%SILENT%test -d $(dir $@) || $(MKDIR_P) $(dir $@)
 ?GENERIC?	%VERBOSE%$(am__skiplex) $(SHELL) $(YLWRAP) %SOURCE% $(LEX_OUTPUT_ROOT).c %OBJ% -- %COMPILE%
 ?!GENERIC?	%VERBOSE% \
 ?!GENERIC??DIST_SOURCE?	$(am__skiplex) \
diff --git a/lib/am/yacc.am b/lib/am/yacc.am
index 2b3f92a..2c33023 100644
--- a/lib/am/yacc.am
+++ b/lib/am/yacc.am
@@ -43,6 +43,7 @@ endif %?FIRST%
 
 ?GENERIC?%EXT%%DERIVED-EXT%:
 ?!GENERIC?%OBJ%: %SOURCE%
+?SUBDIROBJ?	%SILENT%test -d $(dir $@) || $(MKDIR_P) $(dir $@)
 ?GENERIC?	%VERBOSE%$(am__skipyacc) $(SHELL) $(YLWRAP) %SOURCE% y.tab.c %OBJ% y.tab.h `echo %OBJ% | $(am__yacc_c2h)` y.output %BASE%.output -- %COMPILE%
 ?!GENERIC?	%VERBOSE% \
 ?!GENERIC??DIST_SOURCE?	$(am__skipyacc) \
-- 
2.1.4





Information forwarded to bug-automake@HIDDEN:
bug#9859; Package automake. Full text available.

Message received at 9859 <at> debbugs.gnu.org:


Received: (at 9859) by debbugs.gnu.org; 3 Feb 2012 13:36:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 03 08:36:25 2012
Received: from localhost ([127.0.0.1]:51774 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RtJJR-0001Ha-EJ
	for submit <at> debbugs.gnu.org; Fri, 03 Feb 2012 08:36:25 -0500
Received: from mail-ww0-f46.google.com ([74.125.82.46]:39337)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RtJJP-0001HO-S8
	for 9859 <at> debbugs.gnu.org; Fri, 03 Feb 2012 08:36:24 -0500
Received: by wgbdt14 with SMTP id dt14so3689942wgb.15
	for <9859 <at> debbugs.gnu.org>; Fri, 03 Feb 2012 05:35:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=message-id:date:from:mime-version:to:cc:subject:content-type
	:content-transfer-encoding;
	bh=uRe7qp7K+v1NPQvCzzsBg2R6J5us5KRbD87SnxqDiv4=;
	b=cbYOykN4fVSKw1/k64kUKWE6rzyZx0oF+E4OedSe1OLWdLeyjg8CUDM4iY6W4UoOQ1
	e4/hajKTXtlIHomEb37fgTygYmsFsqnxjcpTZbL3n8Ep8X2XcFY1uNwXjt4BoDQ2mIC6
	9T4FlaBMLSFyDJxsqZNw7HiiwMedify7LznPA=
Received: by 10.181.13.113 with SMTP id ex17mr11576768wid.15.1328276133977;
	Fri, 03 Feb 2012 05:35:33 -0800 (PST)
Received: from [87.8.100.82]
	(host82-100-dynamic.8-87-r.retail.telecomitalia.it. [87.8.100.82])
	by mx.google.com with ESMTPS id p10sm6793031wic.0.2012.02.03.05.35.32
	(version=SSLv3 cipher=OTHER); Fri, 03 Feb 2012 05:35:33 -0800 (PST)
Message-ID: <4F2BE2A3.4060505@HIDDEN>
Date: Fri, 03 Feb 2012 14:35:31 +0100
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
MIME-Version: 1.0
To: 9859 <at> debbugs.gnu.org
Subject: automake bug#9859 has been fixed in Automake-NG
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9859
Cc: Ignacy Gawedzki <i@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

JFTR: this bug has been fixed in the Automake-NG fork of Automake
(which assumes GNU make is used to execute its generated makefiles);
see commits v1.11-1838-gdc04691 "[ng] yacc, lex: fix subdir VPATH
builds" and v1.11-1839-ge5b964c "[ng] yacc, lex, compiling: better
use of '$<' (simplify and fix bug)" in the 'ng/master' branch of
the official automake repository.

See also:

 <http://lists.gnu.org/archive/html/automake-ng/2012-02/msg00003.html>
 <http://lists.gnu.org/archive/html/automake-ng/2012-02/msg00011.html>

More information about Automake-NG, from its first git commit:

  <http://lists.gnu.org/archive/html/automake-ng/2011-12/msg00000.html>

Regards,
  Stefano




Information forwarded to bug-automake@HIDDEN:
bug#9859; Package automake. Full text available.
Changed bug submitter to 'Ignacy Gawedzki <i@HIDDEN>' from 'Stefano Lattarini <stefano.lattarini@HIDDEN>' Request was from Stefano Lattarini <stefano.lattarini@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2011 17:49:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 24 13:49:53 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RIOem-0006Hs-PY
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2011 13:49:53 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RIOek-0006Hd-EE
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2011 13:49:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RIOd9-0005Pm-L3
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2011 13:48:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:51043)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RIOd9-0005Pi-GQ
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2011 13:48:11 -0400
Received: from eggs.gnu.org ([140.186.70.92]:34526)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RIOd8-0005pu-3o
	for bug-automake@HIDDEN; Mon, 24 Oct 2011 13:48:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RIOd2-0005Op-0z
	for bug-automake@HIDDEN; Mon, 24 Oct 2011 13:48:10 -0400
Received: from mail-wy0-f169.google.com ([74.125.82.169]:60317)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <stefano.lattarini@HIDDEN>) id 1RIOd1-0005Of-If
	for bug-automake@HIDDEN; Mon, 24 Oct 2011 13:48:03 -0400
Received: by wyg34 with SMTP id 34so7649703wyg.0
	for <bug-automake@HIDDEN>; Mon, 24 Oct 2011 10:48:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=from:to:subject:date:user-agent:mime-version:x-kmail-markup
	:content-type:message-id;
	bh=+B5/wIrbASJ/kiXru34+iaPnUVVEuMDRcchV/D9pVFI=;
	b=tsASKdcMBUQhzpiRy/F6+LTbZlkzHw6pu4g5BaruLGxDlM2HT2IpKkyTszLNzF+o+A
	eovvEMEKLzxxxCe/6+QNDQyOfazgAZ4WL+rLOW0Cg9AJlq3OP/bEjcyrriF5HER4t4Xg
	koB2wk1H87fyF+0xhvBW5uhznP2vWBUjJyRok=
Received: by 10.227.38.66 with SMTP id a2mr1218684wbe.81.1319478482383;
	Mon, 24 Oct 2011 10:48:02 -0700 (PDT)
Received: from bigio.localnet
	(host113-100-dynamic.0-79-r.retail.telecomitalia.it. [79.0.100.113])
	by mx.google.com with ESMTPS id o17sm38402885wbm.6.2011.10.24.10.48.00
	(version=TLSv1/SSLv3 cipher=OTHER);
	Mon, 24 Oct 2011 10:48:01 -0700 (PDT)
From: Stefano Lattarini <stefano.lattarini@HIDDEN>
To: bug-automake@HIDDEN
Subject: subdir-objects, dirstamps and --disable-dependency-tracking
Date: Mon, 24 Oct 2011 19:47:40 +0200
User-Agent: KMail/1.13.7 (Linux/2.6.30-2-686; KDE/4.6.5; i686; ; )
MIME-Version: 1.0
X-KMail-Markup: true
Content-Type: Multipart/Mixed;
  boundary="Boundary-00=_9SapOwMOgOnxZpP"
Message-Id: <201110241947.41237.stefano.lattarini@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

--Boundary-00=_9SapOwMOgOnxZpP
Content-Type: multipart/alternative;
  boundary="Boundary-01=_9SapO66v58DvmRD"
Content-Transfer-Encoding: 7bit

--Boundary-01=_9SapO66v58DvmRD
Content-Type: text/plain;
  charset="utf-8"
Content-Transfer-Encoding: 7bit

Hello automakers.

The recent commit `v1.11-512-g40c3432', required to fix automake bugs #8485
and #8526, has re-introduced the bug reported by Ignacy Gawedzki in his
message "subdir-objects, dirstamps and --disable-dependency-tracking (bug?)",
posted to the automake list in March 2011.  I'm thus registering this
bug in the automake tracker so that we won't forget about it.

Regards,
  Stefano

-*-*-*-

Reference:
 <http://lists.gnu.org/archive/html/automake/2011-03/msg00124.html>
a.k.a.:
 <http://thread.gmane.org/gmane.comp.sysutils.automake.general/12768>

-*-*-*-

Original message follows ...

-*-*-*-

Hi,

I suspect I found a bug in automake 1.11.1 .

I have a project in which some program has .ll and .yy sources that must be
generated by flex and bison.  It also happens I need to have specific
preprocessor options passed to that program using a _CPPFLAGS variable.  This
makes everything produced for that program prefixed with the program name.
Besides, I need to use the subdir-objects automake option.

Now the problem is that some subdirectories are not created automatically in
$(builddir) as expected and I think I have found why.  It happens when
configure is called with --disable-dependency-tracking, as is usually the case
when called through debhelper.

In the attached tarball, there is a minimal setup illustrating the problem.
Try to configure and build the project in a separate build directory and you
should be able to observe how automake fails to create $(builddir)/src before 
calling ylwrap to generate src/bug-scanner.cc .

The Makefile has the following rule (number 1):

  src/bug-scanner.$(OBJEXT): src/$(am__dirstamp) \
        src/$(DEPDIR)/$(am__dirstamp)

But the bug_CPPFLAGS line in Makefile.am ultimately leads to the production of
the following rule (number 2):

  src/bug-scanner.o: src/scanner.cc
        ...

Whereas there is *no* rule of the kind :

  src/scanner.cc: src/$(am__dirstamp)
        ...

This looks like src/scanner.cc gets regenerated *before* src/$(am_dirstamp)
gets a chance to be considered, supposedly because of the explicit rule number
2.

Does anybody know of a clean fix/workaround?

Thanks.

Ignacy

--Boundary-01=_9SapO66v58DvmRD
Content-Type: text/html;
  charset="utf-8"
Content-Transfer-Encoding: 7bit

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN" "http://www.w3.org/TR/REC-html40/strict.dtd">
<html><head><meta name="qrichtext" content="1" /><style type="text/css">
p, li { white-space: pre-wrap; }
</style></head><body style=" font-family:'Bitstream Vera Sans Mono'; font-size:12pt; font-weight:400; font-style:normal;">
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Hello automakers.</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">The recent commit `v1.11-512-g40c3432', required to fix automake bugs #8485</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">and #8526, has re-introduced the bug reported by Ignacy Gawedzki in his</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">message &quot;subdir-objects, dirstamps and --disable-dependency-tracking (bug?)&quot;,</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">posted to the automake list in March 2011.  I'm thus registering this</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">bug in the automake tracker so that we won't forget about it.</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Regards,</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  Stefano</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">-*-*-*-</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Reference:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"> &lt;http://lists.gnu.org/archive/html/automake/2011-03/msg00124.html&gt;</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">a.k.a.:</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"> &lt;http://thread.gmane.org/gmane.comp.sysutils.automake.general/12768&gt;</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">-*-*-*-</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Original message follows ...</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">-*-*-*-</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Hi,</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">I suspect I found a bug in automake 1.11.1 .</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">I have a project in which some program has .ll and .yy sources that must be</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">generated by flex and bison.  It also happens I need to have specific</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">preprocessor options passed to that program using a _CPPFLAGS variable.  This</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">makes everything produced for that program prefixed with the program name.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Besides, I need to use the subdir-objects automake option.</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Now the problem is that some subdirectories are not created automatically in</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">$(builddir) as expected and I think I have found why.  It happens when</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">configure is called with --disable-dependency-tracking, as is usually the case</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">when called through debhelper.</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">In the attached tarball, there is a minimal setup illustrating the problem.</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Try to configure and build the project in a separate build directory and you</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">should be able to observe how automake fails to create $(builddir)/src before </p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">calling ylwrap to generate src/bug-scanner.cc .</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">The Makefile has the following rule (number 1):</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  src/bug-scanner.$(OBJEXT): src/$(am__dirstamp) \</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">        src/$(DEPDIR)/$(am__dirstamp)</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">But the bug_CPPFLAGS line in Makefile.am ultimately leads to the production of</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">the following rule (number 2):</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  src/bug-scanner.o: src/scanner.cc</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">        ...</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Whereas there is *no* rule of the kind :</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">  src/scanner.cc: src/$(am__dirstamp)</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">        ...</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">This looks like src/scanner.cc gets regenerated *before* src/$(am_dirstamp)</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">gets a chance to be considered, supposedly because of the explicit rule number</p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">2.</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Does anybody know of a clean fix/workaround?</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Thanks.</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p>
<p style=" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;">Ignacy</p>
<p style="-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; -qt-user-state:0;"><br /></p></body></html>
--Boundary-01=_9SapO66v58DvmRD--

--Boundary-00=_9SapOwMOgOnxZpP
Content-Type: application/x-compressed-tar;
  name="automake-dirstamp-bug.tar.gz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="automake-dirstamp-bug.tar.gz"

H4sIAAxXkk0AA+2XW2uDMBiGvfZXeFPoYHVJY/RqMLHpgdVarN0GZYh1tnNr7dD6/xc7uhOusi1Y
xr6HotIon+HJG5Mg327WwWPUuovTbBusn1rzfHkmCQVxDEqLMzYoen/eI2FMNU2jhOiGhDBBVJMU
KvY1ysl5r1NFkeLl4fuq2v8oQan/LA0FjoFv+EeEi+f+dQL+a+Fr/1kYJEmUqqvVb2sUgnVNO+Bf
f8s/1bl/qmNDUpCIDlbxz/03GjL/HfstgGNRnv8Ru56Iq1Gd//38r1GDkGL+pwTyXwvl/l1mdmwm
qsYP/BttBP7roNx/uEkW8TJPIzUIf1+jyn8b4b1/vfjw8+8/4cMA/NeAafmD0cBrzrj229MZUjE/
xherNFYX6e2JbNq7dt+ceo5tXrLmLMvnfKy0NvOHKNxmxS2WP3adnm/d3LxeD9nu2nJG3UHP7w6G
bNKc2XycLeJV9PKMM/XGUw+WHselPP97U2qwFlCjKv88+5/2/xQjCvmvg3mc7BLrmvZEOVe4fFnm
B3/iTF2LFX993Au+tFrjcXdo9ormVue6b3rsirkyZPnvUZ5/Ptv3HVfUFuD76z8NY1j/1UK5f+s+
SJbRcCOmzz/wr+M2+AcAAAAAAAAAAAAAABDBM1CWoJ0AKAAA

--Boundary-00=_9SapOwMOgOnxZpP--




Acknowledgement sent to Stefano Lattarini <stefano.lattarini@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#9859; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Jun 2017 11:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.